## umockdev 0.18.1

=== meson_options.txt ===
option('gtk_doc',
       type : 'boolean',
       value : false,
       description : 'use gtk-doc to build documentation')

## umockdev 0.4.6

=== debian/changelog ===
umockdev (0.4.6-2) unstable; urgency=low

  * Add 00git_fix_tests_for_missing_loop.patch: Skip umockdev-record loop
    device test if /sys exists, but there is no loop device. Fixes FTBFS on
    Debian buildds.

 -- Martin Pitt <mpitt@debian.org>  Fri, 11 Oct 2013 13:00:09 +0200

umockdev (0.4.6-1) unstable; urgency=low

  * New upstream bug fix release:
    - Skip umockdev-record tests which need /sys if there is no real /sys.
      (Closes: #724203)
  * Disable silent build rules, to enable hardening/build log checks.

 -- Martin Pitt <mpitt@debian.org>  Fri, 11 Oct 2013 12:04:41 +0200

umockdev (0.4.5-1) unstable; urgency=low

  * New upstream release.
  * Make failing tests fail the build, they should run on all architectures
    now.

 -- Martin Pitt <mpitt@debian.org>  Tue, 17 Sep 2013 18:20:04 -0500

umockdev (0.4.4-1) unstable; urgency=low

  * New upstream release.
  * Drop 00git_skipped_tests_to_stdout.patch, included upstream.

 -- Martin Pitt <mpitt@debian.org>  Mon, 16 Sep 2013 16:55:54 -0500

umockdev (0.4.3-1) unstable; urgency=low

  * New upstream release.
  * debian/umockdev.install: Install documentation files.
  * Bump glib build dependency to >= 2.32, as per configure.ac.
  * debian/libumockdev0.symbols: Add new symbol from this release.
  * debian/rules: Build with --parallel.
  * Add 00git_skipped_tests_to_stdout.patch: Write SKIP messages to stdout in
    test suite.

 -- Martin Pitt <mpitt@debian.org>  Sun, 01 Sep 2013 18:20:49 +0200

umockdev (0.3.2-1) experimental; urgency=low

  * Initial Debian packaging, based on Ubuntu package. (Closes: #715191)
  * Do not make test failures fatal for the first upload, let's see how well
    it holds up on all our architectures.

 -- Martin Pitt <mpitt@debian.org>  Fri, 19 Jul 2013 10:56:09 +0200

=== debian/control ===
Source: umockdev
Section: devel
Priority: optional
Maintainer: Martin Pitt <mpitt@debian.org>
Build-Depends: debhelper (>= 9),
 pkg-config,
 valac (>= 0.16.1),
 libglib2.0-dev (>= 2.32.0),
 libudev-dev,
 libgudev-1.0-dev,
 python3-gi,
 gobject-introspection,
 libgirepository1.0-dev,
 gir1.2-glib-2.0,
 gir1.2-gudev-1.0,
 udev,
 xserver-xorg-video-dummy,
 xserver-xorg-input-evdev,
 xserver-xorg-input-synaptics,
 xinput,
 usbutils,
 gtk-doc-tools
Homepage: https://github.com/martinpitt/umockdev/
Vcs-Git: git://git.debian.org/git/collab-maint/umockdev.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/umockdev.git
Standards-Version: 3.9.4
XS-Testsuite: autopkgtest

Package: umockdev
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: record/mock hardware devices for bug reports and regression tests
 umockdev mocks hardware devices for creating unit tests for libraries and
 programs that handle Linux hardware devices.
 .
 This package provides tools to record the properties and behaviour of
 particular devices, and to run a program or test suite under a test bed with
 the previously recorded devices loaded.
 .
 Right now this covers sysfs, uevents, basic support for /dev devices, and
 recording/mocking usbdevfs ioctls (for PtP/MTP devices).
 .
 With this you can simulate particular hardware in virtual environments up to
 some degree, without needing any particular privileges or disturbing the whole
 system.

Package: libumockdev0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
  ${misc:Depends}
Description: hardware mocking testbed for bug reports and regression tests
 umockdev mocks hardware devices for creating unit tests for libraries and
 programs that handle Linux hardware devices.
 .
 This library provides an UMockdevTestbed class for running a program or test
 suite under a test bed with the previously recorded devices loaded.
 .
 Right now this covers sysfs, uevents, basic support for /dev devices, and
 recording/mocking usbdevfs ioctls (for PtP/MTP devices).
 .
 With this you can simulate particular hardware in virtual environments up to
 some degree, without needing any particular privileges or disturbing the whole
 system.
 .
 The library supports gobject-introspection and builds a VAPI, so that you can
 also use it with Python, JavaScript, and other languages which support GI, and
 Vala.

Package: libumockdev-dev
Architecture: any
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libumockdev0 (= ${binary:Version}),
 libglib2.0-dev,
 gir1.2-umockdev-1.0
Description: development files and documentation for libumockdev
 umockdev mocks hardware devices for creating unit tests for libraries and
 programs that handle Linux hardware devices.
 .
 This library provides an UMockdevTestbed class for running a program or test
 suite under a test bed with the previously recorded devices loaded.
 .
 Right now this covers sysfs, uevents, basic support for /dev devices, and
 recording/mocking usbdevfs ioctls (for PtP/MTP devices).
 .
 With this you can simulate particular hardware in virtual environments up to
 some degree, without needing any particular privileges or disturbing the whole
 system.
 .
 The library supports gobject-introspection and builds a VAPI, so that you can
 also use it with Python, JavaScript, and other languages which support GI, and
 Vala.
 .
 This package contains the header, development, and documentation files which
 are needed for building umockdev applications.

Package: gir1.2-umockdev-1.0
Architecture: any
Section: introspection
Pre-Depends: ${misc:Pre-Depends}
Depends: libumockdev0 (>= ${binary:Version}),
 ${shlibs:Depends},
 ${gir:Depends},
 ${misc:Depends}
Description: introspection data for umockdev library
 umockdev mocks hardware devices for creating unit tests for libraries and
 programs that handle Linux hardware devices.
 .
 This package contains the introspection data for the libumockdev library.

## umockdev 0.4.7

=== debian/changelog ===
umockdev (0.4.7-1) unstable; urgency=low

  * New upstream bug fix release.
  * Drop backported patches.
  * Bump Standards-Version to 3.9.5, no changes necessary.
  * Override the package-name-doesnt-match-sonames lintian warning for the
    preload library.

 -- Martin Pitt <mpitt@debian.org>  Thu, 14 Nov 2013 09:12:16 +0100

umockdev (0.4.6-3) unstable; urgency=low

  * Add 00git_relax_test_timings.patch: Slightly relax timings in
    /umockdev-testbed/script_replay_simple test to avoid failure on slow
    machines. (Observed on sparc buildd)

 -- Martin Pitt <mpitt@debian.org>  Sat, 12 Oct 2013 19:28:35 +0200

=== debian/tests/control ===
Tests: upstream
Depends: @, xserver-xorg-video-dummy, xserver-xorg-input-evdev, xserver-xorg-input-synaptics, xinput, gphoto2, usbutils, evtest
Restrictions: build-needed

## umockdev 0.8.1

=== debian/changelog ===
umockdev (0.8.1-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 31 Mar 2014 09:11:36 +0200

umockdev (0.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/libumockdev0.symbols: Add the two new symbols.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 20 Mar 2014 14:46:24 +0100

umockdev (0.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/tests/upstream: Drop workaround for #711209, it was fixed half a
    year ago.

 -- Martin Pitt <mpitt@debian.org>  Wed, 05 Mar 2014 08:58:54 +0100

umockdev (0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Sat, 15 Feb 2014 01:58:22 +0100

umockdev (0.5.1-3) unstable; urgency=medium

  * debian/tests/control: Add @builddeps@, as we need make and quite a lot of
    the other build deps used for testing.

 -- Martin Pitt <mpitt@debian.org>  Sat, 25 Jan 2014 14:15:03 +0100

umockdev (0.5.1-2) unstable; urgency=medium

  * Revert building using dh-autoreconf, it breaks daily PPA builds from
    trunk. These really need ./autogen.sh.

 -- Martin Pitt <mpitt@debian.org>  Wed, 22 Jan 2014 11:28:50 +0100

umockdev (0.5.1-1) unstable; urgency=medium

  * New upstream release to fix tests with libgphoto 2.5.3.

 -- Martin Pitt <mpitt@debian.org>  Thu, 16 Jan 2014 09:19:17 +0100

umockdev (0.5-1) unstable; urgency=medium

  * New upstream release.
  * Build using dh-autoreconf instead of ./autogen.sh. Based on patch by
    Matthias Klose.

 -- Martin Pitt <mpitt@debian.org>  Wed, 08 Jan 2014 07:28:37 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Homepage: https://github.com/martinpitt/umockdev/
 Vcs-Git: git://git.debian.org/git/collab-maint/umockdev.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/umockdev.git
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 
 Package: umockdev

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@ --parallel --with gir

override_dh_auto_configure:
	# building from trunk checkout?
	[ -x ./autogen.sh ] && ./autogen.sh || true
	dh_auto_configure -- \
		--disable-silent-rules \
		--enable-gtk-doc \
		--enable-introspection

# tests fail in PPA builders, so don't make them fatal for daily builds
override_dh_auto_test:
	if ! dh_auto_test; then \
	    head -n1 debian/changelog | grep -q '~' || exit 1; \
	fi

override_dh_install:
	dh_install -X.a -X.la --fail-missing

# strict symbol checking for normal builds, but not for daily autobuilds
override_dh_makeshlibs:
	if head -n1 debian/changelog | grep -q '~'; then \
		dh_makeshlibs; \
	else \
		dh_makeshlibs -- -c4; \
	fi

## umockdev 0.8.8

=== debian/changelog ===
umockdev (0.8.8-2) unstable; urgency=medium

  * Add 00git_ignore_udev_debug.patch: Ignore stderr from udevadm info, to
    avoid udev debug message spew on stderr if udev debugging is enabled. In
    particular, this works around #769228 which causes an FTBFS on ARM.
    (Closes: #767909)
  * Bump Standards-Version to 3.9.6 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Wed, 12 Nov 2014 10:21:52 +0100

umockdev (0.8.8-1) unstable; urgency=medium

  * New upstream bug fix release which fixes test failures.

 -- Martin Pitt <mpitt@debian.org>  Mon, 22 Sep 2014 09:41:42 +0200

umockdev (0.8.7-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Fri, 19 Sep 2014 06:05:31 +0200

umockdev (0.8.6-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Mon, 01 Sep 2014 12:03:28 +0200

umockdev (0.8.5-1) unstable; urgency=medium

  * New upstream release, to fix build and test on 32 bit architectures.

 -- Martin Pitt <mpitt@debian.org>  Fri, 11 Jul 2014 07:34:26 +0200

umockdev (0.8.4-1) unstable; urgency=medium

  * New upstream release:
    - Path redirection is now thread safe. (LP: #1336671)
  * libumockdev0.symbols: Add new symbol from this release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 10 Jul 2014 15:52:04 +0200

umockdev (0.8.2-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 15 May 2014 10:10:18 +0200

=== debian/control ===
--- 
+++ 
@@ -23,8 +23,7 @@
 Homepage: https://github.com/martinpitt/umockdev/
 Vcs-Git: git://git.debian.org/git/collab-maint/umockdev.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/umockdev.git
-Standards-Version: 3.9.5
-XS-Testsuite: autopkgtest
+Standards-Version: 3.9.6
 
 Package: umockdev
 Architecture: any

## umockdev 0.8.11

=== debian/changelog ===
umockdev (0.8.11-2) unstable; urgency=medium

  * Re-add disable_record_system_all.patch, the upstream fix only skips that
    test for "check-installed".

 -- Martin Pitt <mpitt@debian.org>  Mon, 29 Jun 2015 15:13:19 +0200

umockdev (0.8.11-1) unstable; urgency=medium

  * New upstream bug fix release.
    - Drop disable_record_system_all.patch, fixed upstream.

 -- Martin Pitt <mpitt@debian.org>  Mon, 29 Jun 2015 11:45:42 +0200

umockdev (0.8.10-2) unstable; urgency=medium

  * Add disable_record_system_all.patch: Don't run /umockdev-record/system-all
    during package build, it causes eternal hangs on some buildds.

 -- Martin Pitt <mpitt@debian.org>  Wed, 10 Jun 2015 09:22:12 +0200

umockdev (0.8.10-1) unstable; urgency=medium

  * New upstream bug fix release. This works with libudev 220.

 -- Martin Pitt <mpitt@debian.org>  Tue, 09 Jun 2015 11:50:47 +0200

umockdev (0.8.9-1) unstable; urgency=medium

  * New upstream bug fix release.
  * Update Vcs-* fields for anonscm.debian.org.

 -- Martin Pitt <mpitt@debian.org>  Fri, 22 May 2015 10:41:04 +0200

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,8 @@
  usbutils,
  gtk-doc-tools
 Homepage: https://github.com/martinpitt/umockdev/
-Vcs-Git: git://git.debian.org/git/collab-maint/umockdev.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/umockdev.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/umockdev.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/umockdev.git
 Standards-Version: 3.9.6
 
 Package: umockdev

=== debian/watch ===
version=3
http://launchpad.net/umockdev/+download .*/umockdev-([0-9.]+)\.tar\.xz

## umockdev 0.8.12

=== debian/changelog ===
umockdev (0.8.12-1) unstable; urgency=medium

  * New upstream bug fix release.
  * Bump Standards-Version to 3.9.8 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Thu, 10 Nov 2016 11:26:03 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Homepage: https://github.com/martinpitt/umockdev/
 Vcs-Git: git://anonscm.debian.org/collab-maint/umockdev.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/umockdev.git
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 Package: umockdev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,9 @@
 	if ! dh_auto_test; then \
 	    head -n1 debian/changelog | grep -q '~' || exit 1; \
 	fi
+	# this will skip /umockdev-record/system-all which causes eternal hangs
+	# on some buildds
+	env INSTALLED_TEST=1 dh_auto_test
 
 override_dh_install:
 	dh_install -X.a -X.la --fail-missing

## umockdev 0.8.13

=== debian/changelog ===
umockdev (0.8.13-1) unstable; urgency=medium

  * New upstream bug fix release.

 -- Martin Pitt <mpitt@debian.org>  Sun, 29 Jan 2017 17:05:17 +0100

## umockdev 0.9.4

=== debian/changelog ===
umockdev (0.9.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.1. No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Sat, 14 Oct 2017 16:02:09 +0200

umockdev (0.9.3-1) unstable; urgency=medium

  * New upstream version:
    - In the /umockdev-record/system-single test, stop assuming that
      /dev/loop0 always exists, as that is not the case in containers and
      some other build machines. Use /dev/zero as second device instead.
      (Closes: #792189)
  * Bump debhelper compat to 10. This provides autoreconf as mandated by
    policy 4.0.
  * Bump Standards-Version to 4.0.1.
  * Strictly version libumockdev-dev's gir dependency.

 -- Martin Pitt <mpitt@debian.org>  Wed, 06 Sep 2017 07:25:13 +0200

umockdev (0.9.2-1) unstable; urgency=medium

  * New upstream version:
    - Relax sysfs path check in /umockdev-testbed/dev_query_gudev test to
      also work with udev 234. (Closes: #871060)
  * Update upstream signing key

 -- Martin Pitt <mpitt@debian.org>  Thu, 10 Aug 2017 14:33:06 +0200

umockdev (0.9.1-1) unstable; urgency=medium

  * New upstream release 0.9.1:
    - Fix overly strict /umockdev-testbed/proc test. (Closes #860247)
  * debian/watch: Add pgpsigurlmangle
  * Add upstream signing key for uscan

 -- Martin Pitt <mpitt@debian.org>  Mon, 01 May 2017 11:19:19 +0200

umockdev (0.9-1) unstable; urgency=medium

  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Thu, 13 Apr 2017 10:23:29 +0200

umockdev (0.8.13-2) unstable; urgency=medium

  * Fix build on s390x.
    The X.org stack is not available on s390x, so drop the xserver-* build
    dependencies there. They are only used for the testsuite, and the
    relevant tests cleanly skip themselves if X.org is not available.
    (Closes: #855853)
  * debian/control: Mark test-only build dependencies as such.

 -- Martin Pitt <mpitt@debian.org>  Sun, 26 Feb 2017 22:09:34 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Martin Pitt <mpitt@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
  pkg-config,
  valac (>= 0.16.1),
  libglib2.0-dev (>= 2.32.0),
@@ -13,17 +13,17 @@
  libgirepository1.0-dev,
  gir1.2-glib-2.0,
  gir1.2-gudev-1.0,
- udev,
- xserver-xorg-video-dummy,
- xserver-xorg-input-evdev,
- xserver-xorg-input-synaptics,
- xinput,
- usbutils,
- gtk-doc-tools
+ gtk-doc-tools,
+ udev <!nocheck>,
+ xserver-xorg-video-dummy [!s390x] <!nocheck>,
+ xserver-xorg-input-evdev [!s390x] <!nocheck>,
+ xserver-xorg-input-synaptics [!s390x] <!nocheck>,
+ xinput <!nocheck>,
+ usbutils <!nocheck>,
 Homepage: https://github.com/martinpitt/umockdev/
 Vcs-Git: git://anonscm.debian.org/collab-maint/umockdev.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/umockdev.git
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 
 Package: umockdev
 Architecture: any
@@ -78,7 +78,7 @@
  ${misc:Depends},
  libumockdev0 (= ${binary:Version}),
  libglib2.0-dev,
- gir1.2-umockdev-1.0
+ gir1.2-umockdev-1.0 (= ${binary:Version})
 Description: development files and documentation for libumockdev
  umockdev mocks hardware devices for creating unit tests for libraries and
  programs that handle Linux hardware devices.

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" http://launchpad.net/umockdev/+download .*/umockdev-([0-9.]+)\.tar\.xz

## umockdev 0.11.1

=== debian/changelog ===
umockdev (0.11.1-1) unstable; urgency=medium

  * Switch to new upstream release location on GitHub.
    Update debian/watch and remove the signing-key.asc, as releases are now
    done automatically on Travis.
  * New upstream version 0.11.1
  * debian/rules: Drop --parallel option.
    It's the default in dh compat 10, and causes a lintian warning.

 -- Martin Pitt <mpitt@debian.org>  Wed, 28 Feb 2018 23:22:21 +0100

umockdev (0.11-1) unstable; urgency=medium

  * New upstream version 0.11

 -- Martin Pitt <mpitt@debian.org>  Fri, 09 Feb 2018 22:27:43 +0100

umockdev (0.10-1) unstable; urgency=medium

  * New upstream release 0.10.
    - Drop disable_record_system_all.patch, applied upstream.
  * debian/control: Use https URL for Vcs-Browser. (As per policy 5.6.26)
  * Bump Standards-Version to 4.1.3.

 -- Martin Pitt <mpitt@debian.org>  Sun, 07 Jan 2018 23:02:46 +0100

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,8 @@
  usbutils <!nocheck>,
 Homepage: https://github.com/martinpitt/umockdev/
 Vcs-Git: git://anonscm.debian.org/collab-maint/umockdev.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/umockdev.git
-Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/umockdev.git
+Standards-Version: 4.1.3
 
 Package: umockdev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 %:
-	dh $@ --parallel --with gir
+	dh $@ --with gir
 
 override_dh_auto_configure:
 	# building from trunk checkout?

=== debian/watch ===
version=3
https://github.com/martinpitt/umockdev/releases/ .*/umockdev-([\d\.]+)\.tar\.xz

## umockdev 0.11.3

=== debian/changelog ===
umockdev (0.11.3-1) unstable; urgency=medium

  * New upstream version 0.11.3:
    - Increase allowed delta-time in evemu tests. (Closes: #894085)
  * Update Vcs-* for the move to salsa.debian.org

 -- Martin Pitt <mpitt@debian.org>  Tue, 01 May 2018 11:15:03 +0000

umockdev (0.11.2-1) unstable; urgency=medium

  * New upstream version 0.11.2

 -- Martin Pitt <mpitt@debian.org>  Sat, 24 Mar 2018 14:49:41 +0100

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,8 @@
  xinput <!nocheck>,
  usbutils <!nocheck>,
 Homepage: https://github.com/martinpitt/umockdev/
-Vcs-Git: git://anonscm.debian.org/collab-maint/umockdev.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/umockdev.git
+Vcs-Git: https://salsa.debian.org/debian/umockdev.git
+Vcs-Browser: https://salsa.debian.org/debian/umockdev
 Standards-Version: 4.1.3
 
 Package: umockdev

## umockdev 0.12.1

=== debian/changelog ===
umockdev (0.12.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Martin Pitt ]
  * Bump Standards-Version to 4.3.0.  No changes necessary.
  * debian/rules: Drop long-obsolete daily PPA rules
  * Add help2man manpages for umockdev-{run,record}

 -- Martin Pitt <mpitt@debian.org>  Sun, 20 Jan 2019 10:18:27 +0000

umockdev (0.12.1-1) unstable; urgency=medium

  * New upstream version 0.12.1
    - Fix realpath() with NULL second argument (Closes: #907341)

 -- Martin Pitt <mpitt@debian.org>  Sun, 18 Nov 2018 20:29:42 +0000

umockdev (0.12-1) unstable; urgency=medium

  * New upstream version 0.12
  * Bump Standards-Version to 4.2.1. No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Sun, 26 Aug 2018 11:06:02 +0000

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  gir1.2-glib-2.0,
  gir1.2-gudev-1.0,
  gtk-doc-tools,
+ help2man,
  udev <!nocheck>,
  xserver-xorg-video-dummy [!s390x] <!nocheck>,
  xserver-xorg-input-evdev [!s390x] <!nocheck>,
@@ -23,7 +24,7 @@
 Homepage: https://github.com/martinpitt/umockdev/
 Vcs-Git: https://salsa.debian.org/debian/umockdev.git
 Vcs-Browser: https://salsa.debian.org/debian/umockdev
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 
 Package: umockdev
 Architecture: any

## umockdev 0.13.2

=== debian/changelog ===
umockdev (0.13.2-1) unstable; urgency=medium

  * New upstream version 0.13.2
  * Drop X.org tests from package build.
    More recent X.org versions leave unkillable child processes around which
    the test cannot clean up; these can mess up the host when building in a
    chroot. The autopkgtest still runs them, declare it isolation-container
    for safety. (Closes: #935168)

 -- Martin Pitt <mpitt@debian.org>  Wed, 28 Aug 2019 11:13:56 +0000

umockdev (0.13-1) unstable; urgency=medium

  * New upstream version 0.13.
  * Bump Standards-Version to 4.4.0. No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Mon, 22 Jul 2019 08:07:49 +0000

=== debian/control ===
--- 
+++ 
@@ -16,15 +16,11 @@
  gtk-doc-tools,
  help2man,
  udev <!nocheck>,
- xserver-xorg-video-dummy [!s390x] <!nocheck>,
- xserver-xorg-input-evdev [!s390x] <!nocheck>,
- xserver-xorg-input-synaptics [!s390x] <!nocheck>,
- xinput <!nocheck>,
  usbutils <!nocheck>,
 Homepage: https://github.com/martinpitt/umockdev/
 Vcs-Git: https://salsa.debian.org/debian/umockdev.git
 Vcs-Browser: https://salsa.debian.org/debian/umockdev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 
 Package: umockdev
 Architecture: any

## umockdev 0.14.1

=== debian/changelog ===
umockdev (0.14.1-1ubuntu0.1) focal; urgency=medium

  * d/p/lp1831467/0001-src-umockdev.vala-fix-ScriptRunner.op_write.patch,
    d/p/lp1831467/0002-tests-read-expected-number-of-bytes-maybe-over-multi.patch,
    d/p/lp1831467/0003-tests-test-umockdev-record.vala-add-slow_testbed_fac.patch,
    d/p/lp1831467/0004-tests-test-umockdev.c-add-slow_testbed_factor-variab.patch,
    d/p/lp1831467/0005-tests-test-umockdev-run.vala-add-slow_testbed_factor.patch,
    d/p/lp1831467/0006-remove_SocketServer_ctrl-r_assert.patch,
    d/rules, d/t/upstream:
    - Fix various timing-related tests
      Fix ScriptRunner fuzz checking function
      (LP: #1831467)

 -- Dan Streetman <ddstreet@canonical.com>  Thu, 06 Aug 2020 20:39:01 -0400

umockdev (0.14.1-1) unstable; urgency=medium

  * New upstream version 0.14.1
    - Suppress expected warning in unit tests. (Closes #951114)

 -- Martin Pitt <mpitt@debian.org>  Wed, 12 Feb 2020 07:51:08 +0000

umockdev (0.14-1) unstable; urgency=medium

  * New upstream version 0.14
  * Bump Standards-Version to 4.5.0.
    No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Sun, 09 Feb 2020 09:57:59 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Homepage: https://github.com/martinpitt/umockdev/
 Vcs-Git: https://salsa.debian.org/debian/umockdev.git
 Vcs-Browser: https://salsa.debian.org/debian/umockdev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 
 Package: umockdev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-silent-rules \
		--enable-gtk-doc \
		--enable-introspection

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/usr/share/man/man1
	help2man --no-info --name 'Record devices and ioctls' src/umockdev-record > debian/tmp/usr/share/man/man1/umockdev-record.1
	LD_LIBRARY_PATH=.libs help2man --no-info --name 'Run a program under an umockdev testbed' src/umockdev-run > debian/tmp/usr/share/man/man1/umockdev-run.1

override_dh_auto_test:
	# allow for slow build systems; some tests do fail due to timing sometimes
	env SLOW_TESTBED_FACTOR=5 dh_auto_test

## umockdev 0.14.3

=== debian/changelog ===
umockdev (0.14.3-1) unstable; urgency=medium

  * New upstream version 0.14.3
  * Move to debhelper compat level 12
  * Set Rules-Requires-Root to no
  * Enable build hardening

 -- Martin Pitt <mpitt@debian.org>  Sun, 23 Aug 2020 10:31:39 +0200

umockdev (0.14.2-1) unstable; urgency=medium

  * New upstream version 0.14.2:
    - preload: Fix incomplete reads scripts
    - tests: Fix incomplete reads for fuzzy script tests
      (Closes: #767908)
    - tests: Add $SLOW_TESTBED_FACTOR env var for slow architectures
  * Make autopkgtest robust for slow testbeds.
    Set the new `$SLOW_TESTBED_FACTOR` to avoid frequent failures on armhf
    and other slow/shared distro CI hardware. (LP: #1831467)
  * debian/rules: Add hack for code coverage related autoconf regression.

 -- Martin Pitt <mpitt@debian.org>  Wed, 29 Jul 2020 18:08:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Martin Pitt <mpitt@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
  pkg-config,
  valac (>= 0.16.1),
  libglib2.0-dev (>= 2.32.0),
@@ -21,6 +21,7 @@
 Vcs-Git: https://salsa.debian.org/debian/umockdev.git
 Vcs-Browser: https://salsa.debian.org/debian/umockdev
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 
 Package: umockdev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gir

# HACK: fails with
# aminclude_static.am:45: error: CODE_COVERAGE_ENABLED does not appear in AM_CONDITIONAL
override_dh_autoreconf:
	echo > aminclude_static.am
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-silent-rules \
		--enable-gtk-doc \
		--enable-introspection

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/usr/share/man/man1
	help2man --no-info --name 'Record devices and ioctls' src/umockdev-record > debian/tmp/usr/share/man/man1/umockdev-record.1
	LD_LIBRARY_PATH=.libs help2man --no-info --name 'Run a program under an umockdev testbed' src/umockdev-run > debian/tmp/usr/share/man/man1/umockdev-run.1

## umockdev 0.15.4

=== debian/changelog ===
umockdev (0.15.4-1) unstable; urgency=medium

  * New upstream version 0.15.4:
    - preload: Trap relative paths into mocked directories
    - Fix tests for NixOS and enable them in CI
  * Bump Standards-Version to 4.5.1. No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Sun, 03 Jan 2021 19:20:01 +0100

umockdev (0.15.3-1) unstable; urgency=medium

  * New upstream version 0.15.3:
    - preload: Handle chdir() and getcwd() for emulated paths
    - umockdev-run: Don't strip off trailing whitespace from sysfs attributes.
      This fixes regressions with libusb 1.0.24. (Closes: #978310)

 -- Martin Pitt <mpitt@debian.org>  Sun, 27 Dec 2020 10:35:58 +0100

umockdev (0.15.2-1) unstable; urgency=medium

  * New upstream version 0.15.2:
    - Fix "installed-tests" setup to not produce stderr output with grep ≥ 3.5

 -- Martin Pitt <mpitt@debian.org>  Wed, 25 Nov 2020 16:49:25 +0100

umockdev (0.15.1-1) unstable; urgency=medium

  * New upstream version 0.15.1:
    - Fix include file install location
  * autopkgtest: Increase test timeout.
    30s is too slow for the relatively expensive umockdev-run on most
    architectures.

 -- Martin Pitt <mpitt@debian.org>  Tue, 17 Nov 2020 14:45:31 +0100

umockdev (0.15-1) unstable; urgency=medium

  * New upstream version 0.15
  * Adjust Debian pacakging to meson build system

 -- Martin Pitt <mpitt@debian.org>  Mon, 16 Nov 2020 20:19:29 +0100

umockdev (0.14.4-1) unstable; urgency=medium

  * New upstream version 0.14.4:
    - Fix build against glibc ≥ 2.32.9000

 -- Martin Pitt <mpitt@debian.org>  Fri, 23 Oct 2020 15:40:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper-compat (= 12),
+ meson,
  pkg-config,
  valac (>= 0.16.1),
  libglib2.0-dev (>= 2.32.0),
@@ -20,7 +21,7 @@
 Homepage: https://github.com/martinpitt/umockdev/
 Vcs-Git: https://salsa.debian.org/debian/umockdev.git
 Vcs-Browser: https://salsa.debian.org/debian/umockdev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 
 Package: umockdev

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- -Dgtk_doc=true

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/usr/share/man/man1
	help2man --no-info --name 'Record devices and ioctls' obj-*/umockdev-record > debian/tmp/usr/share/man/man1/umockdev-record.1
	help2man --no-info --name 'Run a program under an umockdev testbed' obj-*/umockdev-run > debian/tmp/usr/share/man/man1/umockdev-run.1

## umockdev 0.16.3

=== debian/changelog ===
umockdev (0.16.3-1) unstable; urgency=medium

  * New upstream version 0.16.3:
    - Several pcap replay fixes (thanks Benjamin Berg)
    - Immediately create "bus" and "class" directories in /sys to fix udev
      enumerator (thanks David Lechner)
    - preload: Avoid some unaligned access to fix failure on sparc
    - Don't build with -Werror by default
  * libumockdev0.symbols: Drop internal symbol
  * libumockdev0.symbols: Add Build-Depends-Package
  * gir1.2-umockdev-1.0: Install typelib into multiarch directory
  * Override lintian errors for libumockdev-preload. This is not a public
    shared library, so it should neither have a symbols file nor packaged
    separately.

 -- Martin Pitt <mpitt@debian.org>  Wed, 15 Sep 2021 08:05:22 +0200

umockdev (0.16.2-1) unstable; urgency=medium

  * New upstream version 0.16.2:
    - Implement pcap control transfer replaying
    - Fix Coverity errors
    - Fix most valac build warnings

 -- Martin Pitt <mpitt@debian.org>  Wed, 25 Aug 2021 11:30:04 +0200

umockdev (0.16.1-2) unstable; urgency=medium

  * debian/watch: Update to format version 4
  * Update to debhelper compat level 13.
  * Bump Standards-Version to 4.6.0.  No changes necessary.
  * debian/libumockdev0.symbols: Add new symbols from 0.16.0

 -- Martin Pitt <mpitt@debian.org>  Mon, 23 Aug 2021 11:36:44 +0200

umockdev (0.16.1-1) experimental; urgency=medium

  * New upstream version 0.16.1:
    - Fix wrong ioctl constants on ppc64el
    - Fix test-umockdev-record failure in some build environments

 -- Martin Pitt <mpitt@debian.org>  Fri, 02 Jul 2021 14:53:18 +0200

umockdev (0.16.0-1) experimental; urgency=medium

  * New upstream version 0.16.0:
    - Move ioctl emulation from preload library to main test process
    - Add test API for custom ioctl and device read/write handlers
    - Support USB replay from usbmon pcap captures
    - Support SPI ioctl/read/write record and replay
  * debian/control: Add new libpcap-dev build dependency.
    Required for pcap trace replaying.

 -- Martin Pitt <mpitt@debian.org>  Thu, 01 Jul 2021 10:40:45 +0200

## umockdev 0.17.7

=== debian/changelog ===
umockdev (0.17.7-1) unstable; urgency=medium

  * New upstream bug fix release:
    - Fix uevent race condition in umockdev_testbed_add_from_string()

 -- Martin Pitt <mpitt@debian.org>  Tue, 01 Mar 2022 06:54:06 +0100

umockdev (0.17.6-1) unstable; urgency=medium

  * New upstream version 0.17.6:
    - Increase uevent buffer size

 -- Martin Pitt <mpitt@debian.org>  Fri, 21 Jan 2022 13:21:32 +0100

umockdev (0.17.5-1) unstable; urgency=medium

  * New upstream version 0.17.5:
    - Relax overzealous stat nlink unit test

 -- Martin Pitt <mpitt@debian.org>  Tue, 18 Jan 2022 11:22:53 +0100

umockdev (0.17.4-1) unstable; urgency=medium

  * New upstream version 0.17.4:
    - Include udev properties in emulated netlink messages, to work with
      recent libudev.

 -- Martin Pitt <mpitt@debian.org>  Tue, 18 Jan 2022 11:02:41 +0100

umockdev (0.17.3-1) unstable; urgency=medium

  * New upstream version 0.17.3:
    - tests: Work around broken HIDIOCGRDESCSIZE ioctl on big-endian
      architectures.

 -- Martin Pitt <mpitt@debian.org>  Tue, 11 Jan 2022 08:00:56 +0100

umockdev (0.17.2-1) unstable; urgency=medium

  * New upstream version 0.17.2:
    - preload: Wrap statx() and fstatat(), to fix ls and other tools on recent
      glibc versions.

 -- Martin Pitt <mpitt@debian.org>  Mon, 10 Jan 2022 09:03:52 +0100

umockdev (0.17.1-1) unstable; urgency=medium

  * New upstream version 0.17.1:
    - Fix /sys/dev/* symlinks; regression from 0.15.3

 -- Martin Pitt <mpitt@debian.org>  Tue, 14 Dec 2021 07:33:20 +0100

umockdev (0.17.0-1) unstable; urgency=medium

  * New upstream version 0.17.0:
    - Add ioctls necessary to record/replay hidraw devices (thanks Daiki Ueno)
    - meson: Respect includedir option (thanks Florentin Dubois)

 -- Martin Pitt <mpitt@debian.org>  Sat, 11 Dec 2021 11:02:30 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: Martin Pitt <mpitt@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  meson,
  pkg-config,
  valac (>= 0.16.1),
  libglib2.0-dev (>= 2.32.0),
  libudev-dev,
  libgudev-1.0-dev,
+ libpcap-dev,
  python3-gi,
  gobject-introspection,
  libgirepository1.0-dev,
@@ -21,7 +22,7 @@
 Homepage: https://github.com/martinpitt/umockdev/
 Vcs-Git: https://salsa.debian.org/debian/umockdev.git
 Vcs-Browser: https://salsa.debian.org/debian/umockdev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 
 Package: umockdev

=== debian/watch ===
version=4
https://github.com/martinpitt/umockdev/releases/ .*/umockdev-([\d\.]+)\.tar\.xz

## umockdev 0.17.13

=== debian/changelog ===
umockdev (0.17.13-1) unstable; urgency=medium

  * New upstream bug fix release:
    - preload: Wrap fstatfs(), to work with systemd 251 also with Python tests
    - Fix documentation build

 -- Martin Pitt <mpitt@debian.org>  Mon, 30 May 2022 12:31:13 +0200

umockdev (0.17.10-1) unstable; urgency=medium

  * New upstream bug fix release:
    - preload: Wrap fortified version of readlinkat
    - Adjust to systemd 251-rc2: Set $SYSTEMD_DEVICE_VERIFY_SYSFS, parse new
      udevadm format, update tests

 -- Martin Pitt <mpitt@debian.org>  Tue, 10 May 2022 10:45:56 +0200

umockdev (0.17.8-1) unstable; urgency=medium

  * New upstream bug fix release:
    - Fix some potential crashes spotted by Coverity

 -- Martin Pitt <mpitt@debian.org>  Sat, 02 Apr 2022 09:01:49 +0200

## umockdev 0.17.14

=== debian/changelog ===
umockdev (0.17.14-1) unstable; urgency=medium

  [ Martin Pitt ]
  * New upstream release:
    - ioctl: Make data object usable from Python (thanks Benjamin Berg)
    - preload: Wrap statfs()
    - Move to gnu11 C standard
    - Lots of small potential bug fixes spotted by Coverity

  [ Debian Janitor ]
  * Apply multi-arch hints. + gir1.2-umockdev-1.0: Add Multi-Arch: same.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Martin Pitt <mpitt@debian.org>  Thu, 24 Nov 2022 15:25:58 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Homepage: https://github.com/martinpitt/umockdev/
 Vcs-Git: https://salsa.debian.org/debian/umockdev.git
 Vcs-Browser: https://salsa.debian.org/debian/umockdev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 
 Package: umockdev
@@ -108,6 +108,7 @@
  ${shlibs:Depends},
  ${gir:Depends},
  ${misc:Depends}
+Multi-Arch: same
 Description: introspection data for umockdev library
  umockdev mocks hardware devices for creating unit tests for libraries and
  programs that handle Linux hardware devices.

## umockdev 0.17.16

=== debian/changelog ===
umockdev (0.17.16-1) unstable; urgency=medium

  * New upstream release:
    - preload: Wrap __getcwd_chk()
    - uevent_sender: Fix fd leak in sendmsg_one
    - Fix gcc -fanalyzer complaints
  * debian/libumockdev0.symbols: Add new symbols from 0.17.13
  * Bump Standards-Version to 4.6.2.  No changes necessary.
  * debian/watch: Use GitHub API. The /releases page has become JavaScript-y
    recently and thus unreadable by machines. Scan the API instead and
    construct a download URL.

 -- Martin Pitt <mpitt@debian.org>  Sun, 29 Jan 2023 19:46:52 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Homepage: https://github.com/martinpitt/umockdev/
 Vcs-Git: https://salsa.debian.org/debian/umockdev.git
 Vcs-Browser: https://salsa.debian.org/debian/umockdev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 
 Package: umockdev

=== debian/tests/control ===
Tests: upstream
Depends: @, @builddeps@, xserver-xorg-video-dummy, xserver-xorg-input-evdev, xserver-xorg-input-synaptics, xinput, gphoto2, usbutils, evtest
Restrictions: build-needed, isolation-container

=== debian/watch ===
version=4
opts="searchmode=plain, \
filenamemangle=s/.+\/@PACKAGE@-@ANY_VERSION@.tar.gz/@PACKAGE@-$1\.tar\.xz/" \
https://api.github.com/repos/martinpitt/@PACKAGE@/releases \
https://github.com/martinpitt/@PACKAGE@/releases/download/\d[\.\d]*/@PACKAGE@-@ANY_VERSION@.tar.xz

## umockdev 0.17.17

=== debian/changelog ===
umockdev (0.17.17-1ubuntu1) mantic; urgency=medium

  * Fix autopkgtest failure (LP: #2019122)
    d/p/test-Allow-missing-.X11-unix-X5-file.patch

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Thu, 11 May 2023 09:22:03 +0200

umockdev (0.17.17-1) unstable; urgency=medium

  * New upstream bug fix release:
    - Fix race with worker thread accessing $UMOCKDEV_DIR

 -- Martin Pitt <mpitt@debian.org>  Sun, 16 Apr 2023 08:28:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: umockdev
 Section: devel
 Priority: optional
-Maintainer: Martin Pitt <mpitt@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper-compat (= 13),
  meson,
  pkg-config,

## umockdev 0.17.18

=== debian/changelog ===
umockdev (0.17.18-1) unstable; urgency=medium

  * New upstream bug fix release:
    - preload: Don't read udev cache data from system
    - Various test fixes

 -- Martin Pitt <mpitt@debian.org>  Wed, 26 Jul 2023 08:03:22 +0000

## umockdev 0.18.1

=== debian/changelog ===
umockdev (0.18.1-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:17:10 +1100

umockdev (0.18.1-1) unstable; urgency=medium

  * New upstream release:
    - preload: Provide wrappers for functions specific to 64-bit time_t (thanks Steve Langasek)
    - preload: Fix building with _FILE_OFFSET_BITS (thanks Zixing Liu and Steve Langasek)
    - tests: Skip usbfs_ioctl_pcap on sparc64 (fixes FTBFS)
    - Closes: #1067208

 -- Martin Pitt <mpitt@debian.org>  Sun, 24 Mar 2024 11:54:21 +0100

umockdev (0.18.0-1) unstable; urgency=medium

  * New upstream release:
    - Record and restore SELinux context for mocked /dev nodes
    - preload: wrap fstatfs() and statfs() on musl
    - Fix build with meson 1.4
  * Update pkg-config → pkgconf build dependency.
    The former is a transitional name.
  * Explicitly add gobject-introspection-bin build dependency.
    Fixes "missing-build-dependency-for-dh-addon gir" lintian error.
    gobject-introspection already depends on it, so it's a no-op.

 -- Martin Pitt <mpitt@debian.org>  Sun, 03 Mar 2024 08:45:30 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper-compat (= 13),
  meson,
- pkg-config,
+ pkgconf,
  valac (>= 0.16.1),
  libglib2.0-dev (>= 2.32.0),
  libudev-dev,
@@ -13,6 +13,7 @@
  libpcap-dev,
  python3-gi,
  gobject-introspection,
+ gobject-introspection-bin,
  libgirepository1.0-dev,
  gir1.2-glib-2.0,
  gir1.2-gudev-1.0,

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -Dgtk_doc=true
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	mkdir -p debian/tmp/usr/share/man/man1
 	help2man --no-info --name 'Record devices and ioctls' obj-*/umockdev-record > debian/tmp/usr/share/man/man1/umockdev-record.1
 	help2man --no-info --name 'Run a program under an umockdev testbed' obj-*/umockdev-run > debian/tmp/usr/share/man/man1/umockdev-run.1

## umockdev 0.18.3

=== debian/changelog ===
umockdev (0.18.3-1) unstable; urgency=medium

  * New upstream release:
    - preload: Re-fix time64 redirects for glibc < 2.39.9

 -- Martin Pitt <mpitt@debian.org>  Thu, 23 May 2024 09:57:53 +0200

umockdev (0.18.2-1) unstable; urgency=medium

  * New upstream release:
    - preload: Fix time64 redirect for glibc 2.39.9
  * Bump Standards-Version to 4.7.0. No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Tue, 21 May 2024 07:09:20 +0200

## umockdev 0.18.4

=== debian/changelog ===
umockdev (0.18.4-1) unstable; urgency=medium

  * Add git-buildpackage configuration. In particular, enable pristine-tar.
  * New upstream bug fix release:
    - Add ioctls for Chromium OS EC devices (thanks Abhinav Baid)
    - Generate "remove" uevent in umockdev_testbed_remove_device()
      (thanks Bob Henz)
    - Recursively remove children with uevents (thanks Bob Henz)
    - preload: Fix sigmask block and restore race (thanks barath)

 -- Martin Pitt <mpitt@debian.org>  Wed, 04 Sep 2024 07:55:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: umockdev
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Martin Pitt <mpitt@debian.org>
+Maintainer: Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper-compat (= 13),
  meson,
  pkgconf,
@@ -24,7 +23,7 @@
 Homepage: https://github.com/martinpitt/umockdev/
 Vcs-Git: https://salsa.debian.org/debian/umockdev.git
 Vcs-Browser: https://salsa.debian.org/debian/umockdev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 
 Package: umockdev

## umockdev 0.19.1

=== debian/changelog ===
umockdev (0.19.1-3) unstable; urgency=medium

  * Revert "Explicitly add gobject-introspection-bin build dependency"
    That was a lintian bug. (Closes: #1094626)
  * Move to dh-sequence-gir build dependency. Thanks Simon McVittie for
    pointing out!
  * Add missing gir1.2-gobject-2.0-dev. Thanks to dh_girepository for warning
    about it.

 -- Martin Pitt <mpitt@debian.org>  Sat, 01 Feb 2025 06:01:16 +0000

umockdev (0.19.1-2) unstable; urgency=medium

  * libumockdev0: Add new symbols from 0.19.0

 -- Martin Pitt <mpitt@debian.org>  Sat, 04 Jan 2025 15:54:56 +0100

umockdev (0.19.1-1) unstable; urgency=medium

  * New upstream bug fix release:
    - preload: Restore errno in ioctl_emulate_open()
    - preload: Only emulate ioctls on emulated devices
    - Fix ioctl_tree_execute() ret type and initialization (thanks Helge Deller)
      (Closes: #1091619)
    - tests: Disable spidev on big-endian 32-bit platforms (thanks Helge Deller)
  * debian/rules: Tolerate slow/noisy builders.
    Some record tests occasionally fail during reproducibility testing.
    These can happen on slow/noisy build machines. The precise timing tests
    are mostly relevant for upstream development, so set SLOW_TESTBED_FACTOR
    for downstream builds just like in the rpm spec.

 -- Martin Pitt <mpitt@debian.org>  Thu, 02 Jan 2025 14:58:12 +0100

umockdev (0.19.0-1) unstable; urgency=medium

  * New upstream release:
    - API: Add UMockdev.Testbed.wait_script() to sync to scripts/evemu replays
    - API: UMockdev.Testbed.load_script_from_string()
    - API: UMockdev.Testbed.load_evemu_events_from_string()
    - Make uevent synthesis thread-safe (thanks Bob Henz)
    - Handle "connection refused" when sending a uevent (thanks Bob Henz)

 -- Martin Pitt <mpitt@debian.org>  Sat, 28 Dec 2024 06:04:17 +0000

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Martin Pitt <mpitt@debian.org>
 Build-Depends: debhelper-compat (= 13),
+ dh-sequence-gir,
  meson,
  pkgconf,
  valac (>= 0.16.1),
@@ -11,10 +12,9 @@
  libgudev-1.0-dev,
  libpcap-dev,
  python3-gi,
- gobject-introspection,
- gobject-introspection-bin,
  libgirepository1.0-dev,
  gir1.2-glib-2.0,
+ gir1.2-gobject-2.0-dev,
  gir1.2-gudev-1.0,
  gtk-doc-tools,
  help2man,

## umockdev 0.19.2

=== debian/changelog ===
umockdev (0.19.2-1) experimental; urgency=medium

  * New upstream bug fix release:
    - preload: Trap dirfd access to /dev, fstat(), and open_tree()
  * Bump Standards-Version to 4.7.2.  No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Wed, 30 Jul 2025 17:48:02 +0200

## umockdev 0.19.3

=== debian/changelog ===
umockdev (0.19.3-1) experimental; urgency=medium

  * New upstream bug fix release:
    - preload: Wrap __fstat64_time64(). Fixes 32 bit ARM FTBFS.

 -- Martin Pitt <mpitt@debian.org>  Fri, 01 Aug 2025 14:53:29 +0200

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Homepage: https://github.com/martinpitt/umockdev/
 Vcs-Git: https://salsa.debian.org/debian/umockdev.git
 Vcs-Browser: https://salsa.debian.org/debian/umockdev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 
 Package: umockdev
